All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::template_base::parameters_type Struct Reference

`#include <template_base.hpp>`

Inheritance diagram for viennacl::device_specific::template_base::parameters_type:

## Public Member Functions

| parameters_type (unsigned int _simd_width, unsigned int _local_size_1, unsigned int _local_size_2, unsigned int _num_kernels)

## Public Attributes

unsigned int | simd_width
unsigned int | local_size_0
unsigned int | local_size_1
unsigned int | num_kernels

## Detailed Description

Definition at line 57 of file template_base.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::template_base::parameters_type::parameters_type | ( | unsigned int | _simd_width,
|  | unsigned int | _local_size_1,
|  | unsigned int | _local_size_2,
|  | unsigned int | _num_kernels
| ) |  |

inline

Definition at line 59 of file template_base.hpp.

## Member Data Documentation

unsigned int viennacl::device_specific::template_base::parameters_type::local_size_0

Definition at line 62 of file template_base.hpp.

unsigned int viennacl::device_specific::template_base::parameters_type::local_size_1

Definition at line 63 of file template_base.hpp.

unsigned int viennacl::device_specific::template_base::parameters_type::num_kernels

Definition at line 64 of file template_base.hpp.

unsigned int viennacl::device_specific::template_base::parameters_type::simd_width

Definition at line 61 of file template_base.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/templates/template_base.hpp